
#include <Stepper.h>
#include "Talkie.h"
#include "Vocab_US_Large.h"
#include "Vocab_Special.h"
#include "Vocab_US_TI99.h"
#include "Vocab_US_Clock.h"

Talkie voice;

// change this to the number of steps on your motor
#define STEPS 225

// create an instance of the stepper class, specifying
// the number of steps of the motor and the pins it's
// attached to
Stepper stepper(STEPS, 8, 9, 10, 11);
const int buttonPin = 12; 
const int buttonPin2 = 13;
int buttonState = 0; 
int buttonState2 = 0; 

// the previous reading from the analog input
int previous = 0;

void setup() {
  // set the speed of the motor to 30 RPMs
  stepper.setSpeed(25);
  Serial.begin(9600);
  pinMode(buttonPin, INPUT);
  pinMode(buttonPin2, INPUT);
}

void loop() {
  // get the sensor value
  int val = analogRead(0);
  buttonState = digitalRead(buttonPin);
  buttonState2 = digitalRead(buttonPin2);

  int step=map(val, 0, 1150, 0, STEPS);

  // move a number of steps equal to the change in the
  // sensor reading
  if (buttonState == HIGH) {
    stepper.step(val - previous);
    voice.say(spPAUSE2);
    voice.say(sp2_ALERT);
    
  }
  if (buttonState2 == HIGH) {
    stepper.step(-val - previous);
    voice.say(spPAUSE2);
    voice.say(spt_COMPLETED);
  }

  // remember the previous value of the sensor
  previous = val;
}
